# Functions

```@meta
CurrentModule = TinyModia
```


## Instantiation

```@docs
@instantiateModel
instantiateModel
```

## Simulation

```@docs
simulate!
```

## Plotting

The results of a simulation of a model `instantiatedModel` can be visualized with
function [ModiaPlot.plot](https://modiasim.github.io/ModiaPlot.jl/stable/Functions.html#ModiaPlot.plot)
that produces line plots of the result time series.
A variable `a.b.c` is identified by a String key `"a.b.c"`.
The legends/labels of the plots are automatically constructed by the
names and units of the variables. Example:

```julia
using ModiaPlot
instantiatedModel = @instantiatedModel(...)
simulate!(instantiatedModel, ...)
plot(instantiatedModel,
     [ ("phi", "r")        ("phi", "phi2", "w");
       ("w", "w2", "phi2") "w"                ],
     heading="Matrix of plots")
```

generates the following plot:

![Matrix-of-Plots](../resources/images/matrix-of-plots.png)

The underlying line plot is generated by [GLMakie](https://github.com/JuliaPlots/GLMakie.jl).


## Inquiries

```@meta
CurrentModule = TinyModia
```

```@docs
get_result
get_lastValue
```

```@meta
CurrentModule = ModiaPlot
```

```@docs
hasSignal
getNames
```
